Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class GenerateStubsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport
                      org.codehaus.groovy.ant.GenerateStubsTask

    public class GenerateStubsTask
    extends CompileTaskSupport

Generates Java stubs from Groovy sources.

Authors:
  Jason Dillon

Version:
  \$Id: GenerateStubsTask.java 18226 2009-11-12 07:16:10Z paulk \$

Field Summary

Fields inherited from class CompileTaskSupport
classpath, config, destdir, failOnError, log, src

Method Summary
`protected void` | `compile()`

Methods inherited from class CompileTaskSupport
compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate

Methods inherited from class MatchingTask
add, setProject, setIncludes, addDate, addNot, addAnd, addOr, addContains, createInclude, createIncludesFile, createExclude, createExcludesFile, createPatternSet, XsetItems, setExcludes, XsetIgnore, setDefaultexcludes, setIncludesfile, setExcludesfile, setCaseSensitive, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addNone, addMajority, addSize, addFilename, addCustom, addPresent, addDepth, addDepend, addContainsRegexp, addDifferent, addType, addModified, log, log, log, log, init, execute, setOwningTarget, getOwningTarget, setTaskName, getTaskName, setTaskType, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Task
log, log, log, log, init, execute, setOwningTarget, getOwningTarget, setTaskName, getTaskName, setTaskType, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, getProject, setProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### compile

    @Override
    protected void compile()

Copyright © 2003-2010 The Codehaus. All rights reserved.